utility File Reference

Go to the source code of this file.

## Classes

struct | std::__is_tuple_like_impl< std::pair< _T1, _T2 > >
struct | std::integer_sequence< _Tp, _Idx >
struct | std::tuple_element< 0, std::pair< _Tp1, _Tp2 > >
struct | std::tuple_element< 1, std::pair< _Tp1, _Tp2 > >
struct | std::tuple_size< std::pair< _Tp1, _Tp2 > >

## Namespaces

| std

## Macros

#define | __cpp_lib_exchange_function
#define | __cpp_lib_integer_sequence
#define | __cpp_lib_tuple_element_t
#define | __cpp_lib_tuples_by_type
#define | _GLIBCXX_UTILITY

## Typedefs

template<typename _Tp , typename _Up = typename remove_cv<_Tp>::type, typename = typename enable_if<is_same<_Tp, _Up>::value>::type, size_t = tuple_size<_Tp>::value>
using | std::__enable_if_has_tuple_size = _Tp
template<std::size_t __i, typename _Tp >
using | std::__tuple_element_t = typename tuple_element< __i, _Tp >::type
template<size_t... _Idx>
using | std::index_sequence = integer_sequence< size_t, _Idx... >
template<typename... _Types>
using | std::index_sequence_for = make_index_sequence< sizeof...(_Types)>
template<size_t _Num>
using | std::make_index_sequence = make_integer_sequence< size_t, _Num >
template<typename _Tp , _Tp _Num>
using | std::make_integer_sequence = integer_sequence< _Tp, __integer_pack(_Num)... >
template<std::size_t __i, typename _Tp >
using | std::tuple_element_t = typename tuple_element< __i, _Tp >::type

## Functions

template<typename _Tp , typename _Up = _Tp>
_Tp | std::exchange (_Tp &__obj, _Up &&__new_val)
template<typename _Tp , typename _Up >
constexpr const _Tp && | std::get (const pair< _Tp, _Up > &&__p) noexcept
template<typename _Tp , typename _Up >
constexpr const _Tp & | std::get (const pair< _Tp, _Up > &__p) noexcept
template<typename _Tp , typename _Up >
constexpr const _Tp && | std::get (const pair< _Up, _Tp > &&__p) noexcept
template<typename _Tp , typename _Up >
constexpr const _Tp & | std::get (const pair< _Up, _Tp > &__p) noexcept
template<std::size_t _Int, class _Tp1 , class _Tp2 >
constexpr const tuple_element< _Int, std::pair< _Tp1, _Tp2 > >::type && | std::get (const std::pair< _Tp1, _Tp2 > &&__in) noexcept
template<std::size_t _Int, class _Tp1 , class _Tp2 >
constexpr const tuple_element< _Int, std::pair< _Tp1, _Tp2 > >::type & | std::get (const std::pair< _Tp1, _Tp2 > &__in) noexcept
template<typename _Tp , typename _Up >
constexpr _Tp && | std::get (pair< _Tp, _Up > &&__p) noexcept
template<typename _Tp , typename _Up >
constexpr _Tp & | std::get (pair< _Tp, _Up > &__p) noexcept
template<typename _Tp , typename _Up >
constexpr _Tp && | std::get (pair< _Up, _Tp > &&__p) noexcept
template<typename _Tp , typename _Up >
constexpr _Tp & | std::get (pair< _Up, _Tp > &__p) noexcept
template<std::size_t _Int, class _Tp1 , class _Tp2 >
constexpr tuple_element< _Int, std::pair< _Tp1, _Tp2 > >::type && | std::get (std::pair< _Tp1, _Tp2 > &&__in) noexcept
template<std::size_t _Int, class _Tp1 , class _Tp2 >
constexpr tuple_element< _Int, std::pair< _Tp1, _Tp2 > >::type & | std::get (std::pair< _Tp1, _Tp2 > &__in) noexcept

## Detailed Description

This is a Standard C++ Library header.

Definition in file utility.